Bug 71245 - Mozilla-1.0.1-12 and above source rpms won't build
Mozilla-1.0.1-12 and above source rpms won't build
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-10 17:35 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-02 22:43:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-08-10 17:35:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
Mozilla 1.0.1  12-15 don't finish building because of

error: Installed (but unpackaged) file(s) found:

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -i mozilla-1.0.1-15.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpmbuild -bb mozilla-1.0.1.spec
	

Actual Results:  error: Installed (but unpackaged) file(s) found:

Expected Results:  For it to write out the Mozilla rpms

Additional info:

Limbo beta2


Files listed

/usr/lib/mozilla-1.0.1/TestGtkEmbed
/usr/lib/mozilla-1.0.1/TestGtkEmbedChild
/usr/lib/mozilla-1.0.1/TestGtkEmbedNotebook
/usr/lib/mozilla-1.0.1/TestGtkEmbedSocket
/usr/lib/mozilla-1.0.1/chrome/chrome.rdf
/usr/lib/mozilla-1.0.1/chrome/embed-sample.jar
/usr/lib/mozilla-1.0.1/chrome/overlayinfo/communicator/content/overlays.rdf
/usr/lib/mozilla-1.0.1/chrome/overlayinfo/cookie/content/overlays.rdf
/usr/lib/mozilla-1.0.1/chrome/overlayinfo/editor/content/overlays.rdf
/usr/lib/mozilla-1.0.1/chrome/overlayinfo/inspector/content/overlays.rdf
/usr/lib/mozilla-1.0.1/chrome/overlayinfo/messenger/content/overlays.rdf
/usr/lib/mozilla-1.0.1/chrome/overlayinfo/navigator/content/overlays.rdf
/usr/lib/mozilla-1.0.1/components/accessibility.xpt
/usr/lib/mozilla-1.0.1/components/composer.xpt
/usr/lib/mozilla-1.0.1/components/content.xpt
/usr/lib/mozilla-1.0.1/components/htmlparser.xpt
/usr/lib/mozilla-1.0.1/components/jsconsole.xpt
/usr/lib/mozilla-1.0.1/components/libaccessibility.so
/usr/lib/mozilla-1.0.1/components/necko_cookie.xpt
/usr/lib/mozilla-1.0.1/components/necko_file.xpt
/usr/lib/mozilla-1.0.1/components/necko_viewsource.xpt
/usr/lib/mozilla-1.0.1/components/nsKillAll.js
/usr/lib/mozilla-1.0.1/components/nsResetPref.js
/usr/lib/mozilla-1.0.1/components/nsUpdateNotifier.js
/usr/lib/mozilla-1.0.1/components/plugin.xpt
/usr/lib/mozilla-1.0.1/components/txtsvc.xpt
/usr/lib/mozilla-1.0.1/defaults/profile/US/chrome/userChrome-example.css
/usr/lib/mozilla-1.0.1/defaults/profile/US/chrome/userContent-example.css
/usr/lib/mozilla-1.0.1/defaults/profile/chrome/userChrome-example.css
/usr/lib/mozilla-1.0.1/defaults/profile/chrome/userContent-example.css
/usr/lib/mozilla-1.0.1/libnullplugin.so
/usr/lib/mozilla-1.0.1/mozilla-installer-bin
/usr/lib/mozilla-1.0.1/res/arrowd.gif
/usr/lib/mozilla-1.0.1/res/builtin/xbl-forms.css
/usr/lib/mozilla-1.0.1/res/gfx/icon_0.gif
/usr/lib/mozilla-1.0.1/res/gfx/icon_1.gif
/usr/lib/mozilla-1.0.1/res/rdf/dom-test-1.xul
/usr/lib/mozilla-1.0.1/res/rdf/dom-test-2.xul
/usr/lib/mozilla-1.0.1/res/rdf/dom-test-3.xul
/usr/lib/mozilla-1.0.1/res/rdf/dom-test-4.css
/usr/lib/mozilla-1.0.1/res/rdf/dom-test-4.xul
/usr/lib/mozilla-1.0.1/res/rdf/dom-test-5.xul
/usr/lib/mozilla-1.0.1/res/rdf/dom-test-6.xul
/usr/lib/mozilla-1.0.1/res/rdf/dom-test-7.xul
/usr/lib/mozilla-1.0.1/res/rdf/dom-test-8.xul
/usr/lib/mozilla-1.0.1/res/rdf/ignore-test.xul
/usr/lib/mozilla-1.0.1/res/sample.unixpsfonts.properties
/usr/lib/mozilla-1.0.1/res/samples/sampleimages/bongo.gif
/usr/lib/mozilla-1.0.1/res/samples/sampleimages/down.gif
/usr/lib/mozilla-1.0.1/res/samples/sampleimages/left.gif
/usr/lib/mozilla-1.0.1/res/samples/sampleimages/right.gif
/usr/lib/mozilla-1.0.1/res/samples/sampleimages/up.gif
/usr/lib/mozilla-1.0.1/res/throbber/anim.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims00.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims01.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims02.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims03.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims04.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims05.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims06.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims07.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims08.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims09.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims10.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims11.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims12.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims13.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims14.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims15.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims16.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims17.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims18.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims19.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims21.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims22.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims23.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims24.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims25.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims26.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims27.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims28.gif
/usr/lib/mozilla-1.0.1/res/throbber/anims29.gif
/usr/lib/mozilla-1.0.1/res/viewer.properties
/usr/lib/mozilla-1.0.1/timebombgen
/usr/man/man1/mozilla.1.gz
/usr/share/aclocal/nspr.m4
Comment 1 Mike A. Harris 2002-08-12 00:15:14 EDT
If I could only get that same result with XFree86 packaging, it would
save me a lot of work finding out what new files exist in $RPM_BUILD_ROOT
each release of X.  ;o)
Comment 2 Nathan G. Grennan 2002-08-13 19:32:58 EDT
%define _unpackaged_files_terminate_build 0  in the spec file works around the
problem.

It applies to at least all mozilla-1.0.1 builds, and likely mozilla-1.0.0 and
above. It has to do with the new option mentioned above detecting files
installed that aren't packages.
Comment 3 Bill Nottingham 2002-08-14 01:32:45 EDT
Do you have redhat-rpm-config installed?
Comment 4 Nathan G. Grennan 2002-08-14 11:36:00 EDT
yes, redhat-rpm-config is installed
Comment 5 Nathan G. Grennan 2003-01-02 22:43:59 EST
Have compiled many newer builds

Note You need to log in before you can comment on or make changes to this bug.